Skip to content
POST /unified/ads/assets

Query Parameters

Refer Specifying query parameters in Truto APIs

account_idstring

The unique identifier for the account.

1 supported1 required
Meta Marketing API
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for the asset.

1 supported
Meta Marketing API
supported
account_idstring

The unique identifier for the account.

1 supported
Meta Marketing API
supported
created_atstring · date-time

The date and time the asset was created.

creative_idstring[]

The unique identifiers for the creatives.

hashstring

The hash for the asset.

1 supported
Meta Marketing API
supported
heightinteger

The height for the asset.

1 supported
Meta Marketing API
supported
namestring

The name for the asset.

1 supported
Meta Marketing API
supported
original_heightinteger

The original height for the asset.

original_widthinteger

The original width for the asset.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status for the asset.

Possible values:
activedeletedinternal
typestring

The type of the asset.

Possible values:
imagevideo
1 supported
Meta Marketing API
supported
updated_atstring · date-time

The date and time the asset was last updated.

urlsobject[]

The URLs for the asset.

1 supported
Meta Marketing API
supported
idstring

The unique identifier for the URL.

typestring

The type for the URL.

urlstring

The URL for the URL.

widthinteger

The width for the asset.

1 supported
Meta Marketing API
supported
curl -X POST 'https://api.truto.one/unified/ads/assets?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ads/assets?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/assets"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ads',
  'assets',
  {
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ads",
        "assets",
        {
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())